Subject: Re: Running git on ARM systems

From: [email-masked]
Date: Thu, 1 Mar 2012 11:12:19 +0000

On Thu, Mar 01, 2012 at 04:11:16PM +1100, Andrew Ardill wrote:
> Hi everyone,
> 
> You may have heard of the Raspberry Pi [1], a fully programmable
> computer the size of a credit card for $25-$35. It will run a linux
> (debian/fedora/arch) distribution on a 700 MHz ARM1176JZF-S core
> (ARM11 family) [2].

Then there's things like the Nokia n900 / n950 devices; 'phones with
Maemo (~= Debian) on them.  I've been using the git-core (installed via.
apt-get) on my n900 for backups and lightweight development for ages.

The main problem is the IO, in my experience, the device has 256MB of ram,
but only SD-card grade storage (like the Rasberry).

ARMv7, according to /proc/cpuinfo.

Package: http://maemo.org/packages/view/git-core/